Package org.eclipse.m2m.atl.adt.ui.text.atl

# Interface AtlCompletionProcessor.IATLCompletionRecorder

Enclosing class:
  AtlCompletionProcessor

public static interface AtlCompletionProcessor.IATLCompletionRecorder
This interface is a non-regression utility.

## Method Summary

Modifier and Type
Method
Description
`void`
`record(int offset, String line, org.eclipse.jface.text.contentassist.ICompletionProposal[] proposals)`
Records the proposals computed by the completion processor at the given offset.

## Method Details

### record

void record(int offset, String line, org.eclipse.jface.text.contentassist.ICompletionProposal[] proposals)
Records the proposals computed by the completion processor at the given offset.

Parameters:
  `offset` - the offset
  `line` - the current line
  `proposals` - the proposals